%define name	gxmms
%define version 0.3.0
%define release %mkrel 9

Name: 	 	%{name}
Summary: 	Controls XMMS through the GNOME2 panel
Version: 	%{version}
Release: 	%{release}

Source:		http://savannah.nongnu.org/download/gxmms/%{name}-%{version}.tar.bz2
Patch: gxmms-0.3.0-audacious.patch
Patch1: gxmms-0.3.0-gcc4.1.patch
URL:		http://www.nongnu.org/gxmms/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libpanel-applet-2-devel
BuildRequires:	xmms-devel
BuildRequires:  perl-XML-Parser
BuildRequires: intltool

%description
gXMMS is a simple GNOME panel applet that lets you control the basic functions
of the X MultiMedia System (XMMS).

This is the list of current features:

Scrollable track time progress bar
Buttons: Previous track - Play / Pause - Stop - Next track - Eject
Real-time tooltips with track title and time
Show/Hide main window, playlist editor and graphical eq
Internazionalization (i18n) 

%package audacious
Group: Sound
Summary: Controls the Audacious Media Player through the GNOME2 panel
BuildRequires: libaudacious-devel
Requires: audacious
Provides: gxmms-beep-media-player
Obsoletes: gxmms-beep-media-player

%description audacious
gXMMS is a simple GNOME panel applet that lets you control the basic functions
of the Audacious Media Player.

This is the list of current features:

Scrollable track time progress bar
Buttons: Previous track - Play / Pause - Stop - Next track - Eject
Real-time tooltips with track title and time
Show/Hide main window, playlist editor and graphical eq
Internazionalization (i18n) 

%prep
%setup -q
%patch -p1 -b .audacious
%patch1 -p1 -b .gcc
autoconf
mkdir build-xmms build-audacious

%build
export CONFIGURE_TOP=`pwd`
cd build-xmms
export LDFLAGS=`gtk-config --libs`
%configure2_5x --with-xmms
%make
unset LDFLAGS
cd ../build-audacious
%configure2_5x --with-bmp
%make
										
%install
rm -rf $RPM_BUILD_ROOT
cd build-xmms
%makeinstall
cd ../build-audacious
%makeinstall
cd ..
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README
%_libexecdir/gxmms_applet
%{_libdir}/bonobo/servers/GNOME_gxmmsApplet.server
%{_datadir}/%name
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/pixmaps/*

%files audacious -f %name.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README
%_libexecdir/gxmms_bmp_applet
%{_libdir}/bonobo/servers/GNOME_gxmms_bmpApplet.server
%{_datadir}/%name-bmp
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/pixmaps/*


%changelog
* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 0.3.0-9mdv2007.0
+ Revision: 126535
- fix build

* Thu Oct 26 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-8mdv2007.1
+ Revision: 73031
- Import gxmms



* Thu Oct 26 2006 Gtz Waschk <waschk@mandriva.org> 0.3.0-8mdv2007.1
- unpack patch
- rebuild for new audacious

* Fri Aug 11 2006 Gtz Waschk <waschk@mandriva.org> 0.3.0-7mdv2007.0
- update the patch, replacing some more strings
- fix buildrequires

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 0.3.0-6mdv2007.0
- update the patch
- rebuild for new audaciou

* Mon May 22 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-5mdk
- rebuild for new audaciou

* Mon Mar 06 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-4mdk
- rebuild for new libaudacious
- use mkrel

* Sun Dec  4 2005 Gtz Waschk <waschk@mandriva.org> 0.3.0-3mdk
- build with audacious

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 0.3.0-2mdk
- fix build on x86_64

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 0.3.0-1mdk
- add beep-media-player package
- New release 0.3.0

* Wed Sep  8 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.2.1-1mdk
- New release 0.2.1

* Fri Sep  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- update file list
- update source URL
- New release 0.2.0

* Fri Jun 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-2mdk
- reformat description, bullet lists don't look good in rpmdrake
- fix buildrequires

* Thu Jun 10 2004 Austin Acton <austin@mandrake.org> 0.1.1-1mdk
- 0.1.1
- add languages

* Sun Jan 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-2mdk
- autoconf2.5 macro
- fix buildrequires

* Sat Jan 24 2004 Austin Acton <austin@mandrake.org> 0.1.0-1mdk
- initial package
